### Enumeration

# WebKit2 NetworkProxyMode

since: 2.16

#### Declaration

    enum WebKit2.NetworkProxyMode

#### Description [src]

Enum values used to set the network proxy mode.

Available since: 2.16

#### Members

`WEBKIT_NETWORK_PROXY_MODE_DEFAULT`

  Use the default proxy of the system.

  - Value: `0`
  - Available since: 2.16
`WEBKIT_NETWORK_PROXY_MODE_NO_PROXY`

  Do not use any proxy.

  - Value: `1`
  - Available since: 2.16
`WEBKIT_NETWORK_PROXY_MODE_CUSTOM`

  Use custom proxy settings.

  - Value: `2`
  - Available since: 2.16